#-*- coding: utf_8 -*-

import numpy as np
from scipy.linalg import lstsq

# Zasięgi
distance = np.array([38098, 85692, 152220])

# prędkości
speed = [400, 600, 800]

# kwadraty prędkości
squared_speed = [n**2 for n in speed]

M = distance[:, np.newaxis]**[0, 1]
model, _, _, _ = lstsq(M,squared_speed)
print "Współczynnik odległości =", model[1]
print " Przesunięcie =", model[0]

